:_mod-docs-content-type: PROCEDURE
:experimental:
[id="removing-persistent-control-groups_{context}"]
= Removing persistent control groups

[role="_abstract"]
You can use the `systemd` system and service manager to remove persistent control groups (`cgroups`) if you no longer need to limit, prioritize, or control access to hardware resources for groups of processes.

Persistent `cgroups` are released when a service or a scope unit is stopped or disabled and its configuration file is deleted.


.Procedure

. Stop the service unit:
+
[literal,subs="+quotes,verbatim,normal"]
....
# *systemctl stop <pass:quotes[_name_]>.service*
....

. Disable the service unit:
+
[literal,subs="+quotes,verbatim,normal"]
....
# *systemctl disable <pass:quotes[_name_]>.service*
....

. Remove the relevant unit configuration file:
+
[literal,subs="+quotes,verbatim,normal"]
....
# *rm /usr/lib/systemd/system/<pass:quotes[_name_]>.service*
....

. Reload all unit configuration files so that changes take effect:
+
[literal,subs="+quotes,verbatim,normal"]
....
# *systemctl daemon-reload*
....


[role="_additional-resources"]
.Additional resources
* `systemd.resource-control(5)`, `cgroups(7)`, and `systemd.kill(5)` manual pages

